## salt 0.15.1

=== requirements.txt ===
Jinja2
M2Crypto
msgpack-python
pycrypto
PyYAML
pyzmq >= 2.1.9

## salt 0.10.1

=== debian/changelog ===
salt (0.10.1-3) unstable; urgency=low

  * [efbd4a8] Change uploaders email address for Ulrich Dangel
  * [442ead1] Recommends dmidecode instead of Depend to support non-x86 systems.

 -- Ulrich Dangel <uli@debian.org>  Mon, 30 Jul 2012 12:40:53 +0200

salt (0.10.1-2) unstable; urgency=low

  * [bda6011] Add dmidecode to depends for salt-minion. (Closes: #680410)
  * [ad4786e] Depend on the same salt version
  * [671c2c3] Depend on debhelper version fixing #577040

 -- Ulrich Dangel <uli@debian.org>  Mon, 09 Jul 2012 23:15:27 +0200

salt (0.10.1-1) unstable; urgency=low

  [ Ulrich Dangel ]
  * [f1d627c] Always recreate orig.tar.gz with git-buildpackage

  [ Michael Prokop ]
  * Merge new upstream release
  * [ee1806a] Add python-augeas to suggests of salt-minion

 -- Michael Prokop <mika@debian.org>  Fri, 22 Jun 2012 18:56:02 +0200

salt (0.10.0-1) unstable; urgency=low

  [ Ulrich Dangel ]
  * Merge new upstream release
  * [bd10385] Change debian/source/format to quilt
  * [ba60137] Add ignore options
  * [54e70de] Copy service files from rpm package
  * [1d21548] Update install files
  * [c2737c9] Update pyversions file to use 2.6
  * [573b27a] Update salt-common.install to install complete python
    package
  * [9b739f5] Update debian/rules to use python support and update
    build dependencies
  * [bf51e1c] Provide pydists-overrides for msgpack-python
  * [4bbd2bf] Add dependency to python-pkg-resources for
    salt-{minion,master,syndic}
  * [ad8f712] Update config files to latest version

  [ Jeroen Dekkers ]
  * [9ae1aa5] Unapply patches from source
  * [933c1ee] Add debian/gbp.conf
  * [be9529b] Add >= 1.0 to python-sphinx build-depend

 -- Michael Prokop <mika@debian.org>  Wed, 20 Jun 2012 22:39:40 +0200

salt (0.9.9-1) unstable; urgency=low

  * Initial release. [Closes: #643789]

 -- Michael Prokop <mika@debian.org>  Thu, 14 Jun 2012 18:39:17 +0200

=== debian/control ===
Source: salt
Section: admin
Priority: optional
Maintainer: Michael Prokop <mika@debian.org>
Uploaders: Christian Hofstaedtler <christian@hofstaedtler.name>, Ulrich Dangel <uli@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9.20120410~),
               cython,
               libzmq-dev (>= 2.1.9),
               python | python-all | python-dev | python-all-dev,
               python-crypto,
               python-jinja2,
               python-m2crypto,
               python-setuptools,
               python-sphinx (>= 1.0),
               python-yaml,
               python-zmq (>= 2.1.9)
Standards-Version: 3.9.3
Homepage: http://saltstack.org/

Package: salt-common
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         msgpack-python,
         python,
         python-crypto,
         python-jinja2,
         python-m2crypto,
         python-yaml,
         python-zmq (>= 2.1.9)
Description: shared libraries that salt requires for all packages
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides shared libraries that
 salt-master, salt-minion, and salt-syndic require to function.

Package: salt-master
Architecture: all
Depends: ${misc:Depends},
         python,
         python-pkg-resources,
         salt-common (= ${source:Version})
Description: remote manager to administer servers via salt
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt controller.

Package: salt-minion
Architecture: all
Depends: ${misc:Depends},
         python,
         python-pkg-resources,
         salt-common (= ${source:Version})
Recommends: dmidecode
Suggests: python-augeas
Description: client package for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the worker / agent for salt.

Package: salt-syndic
Architecture: all
Depends: ${misc:Depends},
         python,
         python-pkg-resources,
         salt-master (= ${source:Version})
Description: master-of-masters for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the master of masters for salt
 - it enables the management of multiple masters at a time.

Package: salt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-sphinxdoc
Description: additional documentation for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the HTML documentation for
 salt.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/python/python.mk

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	make -C doc html

JS_FILES = searchtools doctools sidebar jquery underscore

override_dh_installdocs:
	dh_installdocs
	# Remove embedded copies of javascript libs
	for f in $(JS_FILES) ; do \
		cd debian/salt-doc/usr/share/doc/salt/html/_static/ \
		  && rm $${f}.js \
		  && ln -s ../../../../javascript/sphinxdoc/1.0/$${f}.js . \
		  && cd $(CURDIR) ; \
	done ;

override_dh_auto_clean:
	make -C doc clean
	dh_auto_clean

=== debian/watch ===
version=3
https://github.com/saltstack/salt/downloads /downloads/saltstack/salt/salt-(.*).tar.gz

## salt 0.12.1

=== debian/changelog ===
salt (0.12.1-1) unstable; urgency=low

  * [2f34fe9] New upstream version 0.12.1
  * [f25519b] Refresh version fix

 -- Ulrich Dangel <uli@debian.org>  Tue, 22 Jan 2013 22:05:26 +0000

salt (0.12.0-1) unstable; urgency=low

  * [b6c675e] New upstream version 0.12.0
  * [bd89271] Import patch to fix version.py

 -- Ulrich Dangel <uli@debian.org>  Sat, 19 Jan 2013 11:26:17 +0000

salt (0.11.1+ds-1) unstable; urgency=low

  * Team upload.
  * Re-roll a new orig.tar.gz for 0.11.1 that includes all the files with
    "debian" in their name. Closes: #697747
  * Update debian/watch to drop the (temporary) +ds suffix

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 09 Jan 2013 10:41:47 +0100

salt (0.11.1-1) unstable; urgency=low

  * [9dfcb21] Update watch uri as github no longer offers download page
  * [2aedacf] Don't filter pyc files
  * [3adc2cf] New upstream version 0.11.1
  * [281093f] Use default config file from conf directory
  * [88e0f24] Mention new default file locations
  * [7ddd3fc] Add bash completion

 -- Ulrich Dangel <uli@debian.org>  Fri, 04 Jan 2013 04:35:59 +0000

salt (0.10.5-1) unstable; urgency=low

  * [f735ab9] Filter pyc files
  * [62462dd] New upstream version 0.10.5 (Closes: #690481)
  * [9726d8b] Install empty include dirs for salt-master and salt-minion.
  * [8705c6e] Build-depend on msgpack-python
  * [6832d36] Update config file templates

 -- Ulrich Dangel <uli@debian.org>  Mon, 19 Nov 2012 08:34:09 +0000

salt (0.10.4-1) unstable; urgency=low

  * [5431ef2] Imported Upstream version 0.10.4
  * [bcd48a0] Remove patch 'add_hacking_rst', applied upstream.
  * [3135d52] Fix salt-master restart (Patch by martin f. krafft)
    (Closes: #692064)
  * [15abbbb] Recommend lsb-release. With new upstream code this
    provides lsb* grains. (Closes: #690700)

 -- Christian Hofstaedtler <christian@hofstaedtler.name>  Sat, 10 Nov 2012 17:57:52 +0100

salt (0.10.2-1~experimental+1) experimental; urgency=low

  * [cf57587] Import upstream version 0.10.2
  * [1ff7a9f] Add patch to create HACKING.rst

 -- Ulrich Dangel <uli@debian.org>  Sat, 04 Aug 2012 02:57:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,24 @@
 Priority: optional
 Maintainer: Michael Prokop <mika@debian.org>
 Uploaders: Christian Hofstaedtler <christian@hofstaedtler.name>, Ulrich Dangel <uli@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9.20120410~),
+               bash-completion,
                cython,
                libzmq-dev (>= 2.1.9),
                python | python-all | python-dev | python-all-dev,
                python-crypto,
                python-jinja2,
                python-m2crypto,
+               msgpack-python,
                python-setuptools,
                python-sphinx (>= 1.0),
                python-yaml,
-               python-zmq (>= 2.1.9)
-Standards-Version: 3.9.3
+               python-zmq (>= 2.1.9),
+               quilt
+Standards-Version: 3.9.4
 Homepage: http://saltstack.org/
+Vcs-Browser: https://github.com/mika/salt-deb
+Vcs-Git: git://github.com/mika/salt-deb.git
 
 Package: salt-common
 Architecture: all
@@ -30,6 +34,7 @@
          python-m2crypto,
          python-yaml,
          python-zmq (>= 2.1.9)
+Recommends: lsb-release
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/python/python.mk
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,bash-completion
 
 override_dh_auto_build:
 	dh_auto_build
@@ -25,4 +25,6 @@
 
 override_dh_auto_clean:
 	make -C doc clean
+	dh_quilt_patch
 	dh_auto_clean
+	dh_quilt_unpatch

## salt 0.15.1

=== debian/changelog ===
salt (0.15.1-1~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuilt for squeeze-backports (sloppy, because Salt is not in Squeeze).

 -- martin f. krafft <madduck@debian.org>  Fri, 28 Jun 2013 18:26:05 +0200

salt (0.15.1-1) unstable; urgency=high

  [ Joe Healy ]
  * team upload
  * [3f2928c] Imported Upstream version 0.15.1
  * [5d46d17] Imported Upstream version 0.15.0 Closes: #703600
  * [ee734d5] Added dctrl-tools as a recommendation
  * [0c3a6e6] Removed unnecessary cleanup step in build process
  * [552cb80] Updated changelog and NEWS file for 0.15.1
  * [1d878ca] removed files that should not have been checked in

  [ Ulrich Dangel ]
  * [e30e35a] Move security notice from salt-common.NEWS to NEWS

 -- Ulrich Dangel <uli@debian.org>  Sun, 19 May 2013 22:46:03 +0100

salt (0.14.1-1) unstable; urgency=low

  [ Joe Healy ]
  * Imported Upstream version 0.14.1

 -- Joe Healy <joehealy@gmail.com>  Sun, 14 Apr 2013 03:31:37 +0000

salt (0.14.0-1) unstable; urgency=low

  [ Joe Healy ]
  * team upload
  * [4234664] Updated debian branch
  * [a623ed7] Added gitignore file
  * [f97485a] Imported Upstream version 0.14.0 Closes: #701155
  * [ee4a462] Updated maintainer and uploaders Closes: #698772

  [ Andriy Senkovych ]
  * [5752009] Update Vcs-* fields to point to pkg-salt alioth repository.
  * [6d3bea7] debian/copyright: set versioned copyright format uri
  * [a282c5f] Remove unnecessary dh_quilt invocations
  * [64fe85c] Add Andriy Senkovych <jolly_roger@itblog.org.ua> to Uploaders

  [ Ulrich Dangel ]
  * [aa8f816] Change conflict to breaks and adjust python-mako comparison

 -- Ulrich Dangel <uli@debian.org>  Mon, 08 Apr 2013 21:08:03 +0100

salt (0.12.1-1~bpo60+1~madduck.2) squeeze-backports; urgency=low

  * Add recommendation to python-mako, but conflict with versions before
    0.7.0, since Salt won't work with the version in squeeze, but needs the
    backport instead.

 -- martin f. krafft <madduck@debian.org>  Thu, 24 Jan 2013 20:17:21 +1300

salt (0.12.1-1~bpo60+1~madduck.1) squeeze-backports; urgency=low

  * RebuilD for squeeze-backports.

 -- martin f. krafft <madduck@debian.org>  Thu, 24 Jan 2013 16:45:13 +1300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: salt
 Section: admin
 Priority: optional
-Maintainer: Michael Prokop <mika@debian.org>
-Uploaders: Christian Hofstaedtler <christian@hofstaedtler.name>, Ulrich Dangel <uli@debian.org>
+Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
+Uploaders: Joe Healy <joehealy@gmail.com>,
+           Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
+           Andriy Senkovych <jolly_roger@itblog.org.ua>
 Build-Depends: debhelper (>= 9.20120410~),
                bash-completion,
                cython,
@@ -15,12 +17,11 @@
                python-setuptools,
                python-sphinx (>= 1.0),
                python-yaml,
-               python-zmq (>= 2.1.9),
-               quilt
+               python-zmq (>= 2.1.9)
 Standards-Version: 3.9.4
 Homepage: http://saltstack.org/
-Vcs-Browser: https://github.com/mika/salt-deb
-Vcs-Git: git://github.com/mika/salt-deb.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-salt/salt.git
+Vcs-Git: git://anonscm.debian.org/pkg-salt/salt.git
 
 Package: salt-common
 Architecture: all
@@ -34,7 +35,9 @@
          python-m2crypto,
          python-yaml,
          python-zmq (>= 2.1.9)
-Recommends: lsb-release
+Recommends: lsb-release,
+            python-mako
+Breaks: python-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -85,6 +88,7 @@
 Depends: ${misc:Depends},
          python,
          python-pkg-resources,
+         dctrl-tools,
          salt-common (= ${source:Version})
 Recommends: dmidecode
 Suggests: python-augeas

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,7 @@
 		  && cd $(CURDIR) ; \
 	done ;
 
+
 override_dh_auto_clean:
 	make -C doc clean
-	dh_quilt_patch
 	dh_auto_clean
-	dh_quilt_unpatch

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
http://pypi.python.org/packages/source/s/salt/ salt-(.*).tar.gz

## salt 0.16.0

=== debian/changelog ===
salt (0.16.0-1) unstable; urgency=low

  [ Joe Healy ]
  * Team upload.
  * [a7fdace] Imported Upstream version 0.16.0. Closes: #712819

 -- Joe Healy <joehealy@gmail.com>  Thu, 04 Jul 2013 10:48:59 +1000

salt (0.15.3-1) unstable; urgency=low

  [ Joe Healy ]
  * Team upload.
  * [ad0a089] Imported Upstream version 0.15.3
  * [99d70ab] Updated to depend on zeromq 3. Closes: #690525
  * [0aefc36] Added python-git as a recommended package. Closes: #700174

 -- Joe Healy <joehealy@gmail.com>  Mon, 03 Jun 2013 23:47:24 +1000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper (>= 9.20120410~),
                bash-completion,
                cython,
-               libzmq-dev (>= 2.1.9),
+               libzmq3-dev (>> 3.2.3+dfsg-1),
                python | python-all | python-dev | python-all-dev,
                python-crypto,
                python-jinja2,
@@ -17,7 +17,7 @@
                python-setuptools,
                python-sphinx (>= 1.0),
                python-yaml,
-               python-zmq (>= 2.1.9)
+               python-zmq (>= 13.1.0)
 Standards-Version: 3.9.4
 Homepage: http://saltstack.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-salt/salt.git
@@ -34,9 +34,10 @@
          python-jinja2,
          python-m2crypto,
          python-yaml,
-         python-zmq (>= 2.1.9)
+         python-zmq (>= 13.1.0)
 Recommends: lsb-release,
-            python-mako
+            python-mako,
+            python-git
 Breaks: python-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to

## salt 0.16.4

=== debian/changelog ===
salt (0.16.4-2~bpo70+1) wheezy-backports; urgency=low

  * Backported to wheezy

 -- Joe Healy <joehealy@gmail.com>  Tue, 24 Sep 2013 22:32:16 +1000

salt (0.16.4-2) unstable; urgency=low

  [ Joe Healy ]
  * Team upload.
  * [9862171] Reduced priority due to dependency on lower priority packages
  * [0fab0f8] Revert 70573cb: "Ensure minions procs killed..." Closes: 722446

 -- Joe Healy <joehealy@gmail.com>  Wed, 11 Sep 2013 15:15:52 +1000

salt (0.16.4-1) unstable; urgency=low

  [ Joe Healy ]
  * Team upload.
  * [fa55b16] Imported Upstream version 0.16.4

 -- Joe Healy <joehealy@gmail.com>  Sun, 08 Sep 2013 10:47:07 +1000

salt (0.16.3-1) unstable; urgency=low

  [ Joe Healy ]
  * Team upload.
  * [911d75a] Overhaul of init.d scripts. Fixes lintian issue and closes: 692066
  * [77ec715] Imported Upstream version 0.16.3
  * [ee76ab8] Undo packaging fix upstream issue #6502
  * [ed508f0] Added lintian override for awkward spacing in man page table
  * [70573cb] Ensure all minion processes are killed when stopping/restarting

 -- Joe Healy <joehealy@gmail.com>  Thu, 15 Aug 2013 23:06:02 +1000

salt (0.16.2-2) unstable; urgency=low

  [ Joe Healy ]
  * Team upload.
  * [5fb2336] Fix upstream issue #6502 "Fix traceback in salt-call --local"

 -- Joe Healy <joehealy@gmail.com>  Sat, 03 Aug 2013 21:29:18 +1000

salt (0.16.2-1) unstable; urgency=low

  [ Joe Healy ]
  * Team upload.
  * [526271e] Updated debian/copyright to reflect minor upstream changes
  * [1f38e01] updated debian/rules to use dh-systemd. Closes: #715249
  * [21abc2e] Imported Upstream version 0.16.2
  * [50da5a7] Updated *.service files to get rid of lintian warning.

 -- Joe Healy <joehealy@gmail.com>  Fri, 02 Aug 2013 15:46:10 +1000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: salt
 Section: admin
-Priority: optional
+Priority: extra
 Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
 Uploaders: Joe Healy <joehealy@gmail.com>,
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
@@ -8,7 +8,7 @@
 Build-Depends: debhelper (>= 9.20120410~),
                bash-completion,
                cython,
-               libzmq3-dev (>> 3.2.3+dfsg-1),
+               libzmq3-dev (>> 3.2.3+dfsg-1~),
                python | python-all | python-dev | python-all-dev,
                python-crypto,
                python-jinja2,
@@ -17,7 +17,7 @@
                python-setuptools,
                python-sphinx (>= 1.0),
                python-yaml,
-               python-zmq (>= 13.1.0)
+               python-zmq (>= 13.1.0~)
 Standards-Version: 3.9.4
 Homepage: http://saltstack.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-salt/salt.git

## salt 0.17.2

=== debian/changelog ===
salt (0.17.2-3) unstable; urgency=low

  * [a4f9a88] Suggest documentation when installing. Closes: 730842
  * [7eb7969] Depend on python-msgpack rather than msgpack-python.
              Closes: 730875
  * [38deac5] Bump standards version - No changes needed.

 -- Joe Healy <joehealy@gmail.com>  Sun, 01 Dec 2013 13:26:05 +1100

salt (0.17.2-2) unstable; urgency=low

  * [d5d4256] Removed test symbolic link
  * [aba0f43] Addition of patch for upstream bug 8560

 -- Joe Healy <joehealy@gmail.com>  Tue, 19 Nov 2013 17:35:29 +1100

salt (0.17.2-1) unstable; urgency=low

  * [51557a0] Added debconf-utils as a recommended package for salt-minion
  * [3e6db19] Added dependency on msgpack-python to salt-ssh. Closes: 729181
  * [37b3fbc] Removed gbp dfsg filtering
  * [8562ec2] Updated upstart files to reflect latest ubuntu versions
  * [00398b1] Imported Upstream version 0.17.2
  * [43c3a3d] Added files previously removed in repacking to copyright file
  * [37d2781] Added links so that packaged versions of js and css files are used
  * [3dcf641] Added doc dependencies on js libraries
  * [58980a0] Updated documentation version to 0.17.2
  * [94b12c9] Added 0.17.2 release notes from upstream

 -- Joe Healy <joehealy@gmail.com>  Sun, 17 Nov 2013 00:01:06 +1100

salt (0.17.1+dfsg-1) unstable; urgency=medium

  * [ebd0329] Updated gbp.conf to remove saltstack theme
  * [ba2cb77] Updated debian/watch to deal with dfsg versions
  * [091a74a] Imported Upstream version 0.17.1+dfsg
   * Various security fixes, Closes: 726480
    * Insufficent Argument Validation CVE-2013-4435
    * MITM ssh attack in salt-ssh CVE-2013-4436
    * Insecure Usage of /tmp in salt-ssh CVE-2013-4438
    * YAML Calling Unsafe Loading Routine CVE-2013-4438
    * Failure to Validate Minions Posting Data CVE-2013-4439
  * [47ce833] Removed patches for issues fixed by upstream
  * [fddc7b5] Added patches for doc theme change and minor fixes
  * [b146f77] Build man pages
  * [cd33d3a] Copyright and licence audit, Closes: 725999

 -- Joe Healy <joehealy@gmail.com>  Wed, 23 Oct 2013 00:19:26 +1100

salt (0.17.0-2) unstable; urgency=low

  * [d952c6f] Fix upstream regression: prefer getfqdn call over /etc/hostname

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Tue, 08 Oct 2013 14:37:02 +0300

salt (0.17.0-1) unstable; urgency=low

  * [9d6c0ae] Updated watch file to deal with upstream rc file naming
  * [6861b2f] Imported Upstream version 0.17.0
  * [19e5529] Addition of salt-ssh and dependency refactor to suit
  * [0b7af23] Dereference symbolic links for salt-ssh - upstream issue #7480

 -- Joe Healy <joehealy@gmail.com>  Tue, 01 Oct 2013 09:01:10 +1000

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://pypi.python.org/packages/source/s/salt/ salt-(.*).tar.gz

## salt 0.17.5%2Bds

=== debian/changelog ===
salt (0.17.5+ds-1) unstable; urgency=medium

  * [af8c595] Added repack script to fix source issue. Closes: 736783
  * [20ce79b] Imported Upstream version 0.17.5+ds
  * [a536794] Send environment info with state (upstream commit #113adcd)
  * [838f341] Added release notes from upstream
  * [f741d6d] Updated copyright to reflect repacking
  * [d747742] Added lintian override for minified js files with source

 -- Joe Healy <joehealy@gmail.com>  Fri, 07 Feb 2014 10:07:55 +1100

salt (0.17.5-1) unstable; urgency=medium

  * [68d201f] Imported Upstream version 0.17.5
  * [f48d855] Minor update of doc patches to reflect upstream changes

 -- Joe Healy <joehealy@gmail.com>  Sun, 26 Jan 2014 23:20:05 +1100

salt (0.17.4-2) unstable; urgency=medium

  * [178932c] Removed documentation tracking code (google analytics)

 -- Joe Healy <joehealy@gmail.com>  Wed, 22 Jan 2014 11:09:50 +1100

salt (0.17.4-1) unstable; urgency=low

  * Imported Upstream version 0.17.4
  * removed patches no longer needed
   * doc-conf_py-changes.diff
   * pkgrepo-salt-bug-8560
   * release-notes.diff
  * Added patch (yaml.scanner) for doc build error

 -- Joe Healy <joehealy@gmail.com>  Mon, 16 Dec 2013 20:35:13 +1100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/python/python.mk

%:
	dh $@ --with python2,bash-completion --with=systemd

override_dh_auto_build:
	dh_auto_build
	make -C doc html
	make -C doc man

override_dh_auto_clean:
	make -C doc clean
	dh_auto_clean

## salt 0.17.5+ds

=== requirements.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 pycrypto
 PyYAML
 pyzmq >= 2.1.9
+markupsafe

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Salt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Salt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Salt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Salt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
salt (0.17.5+ds-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Joe Healy <joehealy@gmail.com>  Thu, 12 Jun 2014 10:15:35 +1000

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,9 @@
                python-setuptools,
                python-sphinx (>= 1.0),
                python-yaml,
-               python-zmq (>= 13.1.0~)
-Standards-Version: 3.9.4
+               python-zmq (>= 13.1.0~),
+               yui-compressor
+Standards-Version: 3.9.5
 Homepage: http://saltstack.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-salt/salt.git
 Vcs-Git: git://anonscm.debian.org/pkg-salt/salt.git
@@ -28,16 +29,15 @@
 Depends: ${python:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
-         msgpack-python,
          python,
-         python-crypto,
          python-jinja2,
-         python-m2crypto,
          python-yaml,
-         python-zmq (>= 13.1.0)
+         python-pkg-resources
 Recommends: lsb-release,
             python-mako,
             python-git
+Suggests: salt-doc (= ${source:Version})
+Conflicts: salt-minion (<< 0.16.4-3)
 Breaks: python-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
@@ -62,9 +62,12 @@
 Package: salt-master
 Architecture: all
 Depends: ${misc:Depends},
-         python,
-         python-pkg-resources,
-         salt-common (= ${source:Version})
+         ${python:Depends},
+         salt-common (= ${source:Version}),
+         python-m2crypto,
+         python-crypto,
+         msgpack-python,
+         python-zmq (>= 13.1.0)
 Description: remote manager to administer servers via salt
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -87,11 +90,15 @@
 Package: salt-minion
 Architecture: all
 Depends: ${misc:Depends},
-         python,
-         python-pkg-resources,
-         dctrl-tools,
-         salt-common (= ${source:Version})
-Recommends: dmidecode
+         ${python:Depends},
+         salt-common (= ${source:Version}),
+         python-m2crypto,
+         python-crypto,
+         msgpack-python,
+         python-zmq (>= 13.1.0),
+         dctrl-tools
+Recommends: dmidecode,
+            debconf-utils
 Suggests: python-augeas
 Description: client package for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
@@ -115,8 +122,7 @@
 Package: salt-syndic
 Architecture: all
 Depends: ${misc:Depends},
-         python,
-         python-pkg-resources,
+         ${python:Depends},
          salt-master (= ${source:Version})
 Description: master-of-masters for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
@@ -138,10 +144,41 @@
  This particular package provides the master of masters for salt
  - it enables the management of multiple masters at a time.
 
+Package: salt-ssh
+Architecture: all
+Depends: ${misc:Depends},
+         ${python:Depends},
+         salt-common (= ${source:Version}),
+         msgpack-python,
+         sshpass
+Description: remote manager to administer servers via salt
+ salt is a powerful remote execution manager that can be used to
+ administer servers in a fast and efficient way.
+ .
+ It allows commands to be executed across large groups of
+ servers. This means systems can be easily managed, but data can
+ also be easily gathered.  Quick introspection into running
+ systems becomes a reality.
+ .
+ Remote execution is usually used to set up a certain state on a
+ remote system. Salt addresses this problem as well, the salt
+ state system uses salt state files to define the state a server
+ needs to be in.
+ .
+ Between the remote execution system, and state management Salt
+ addresses the backbone of cloud and data center management.
+ .
+ This particular package provides the salt ssh controller. It
+ is able to run salt modules and states on remote hosts via ssh.
+ No minion or other salt specific software needs to be installed
+ on the remote host.
+
 Package: salt-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-sphinxdoc
+Depends: ${misc:Depends},
+	 libjs-sphinxdoc,
+	 libjs-jquery
 Description: additional documentation for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/python/python.mk
 
 %:
-	dh $@ --with python2,bash-completion --with=systemd
+	dh $@ --with python2,bash-completion
 
 override_dh_auto_build:
 	dh_auto_build

## salt 2014.1.10+ds

=== debian/changelog ===
salt (2014.1.10+ds-1) unstable; urgency=medium

  * [ff6185d] Imported Upstream version 2014.1.10+ds

 -- Joe Healy <joehealy@gmail.com>  Tue, 05 Aug 2014 23:20:17 +1000

salt (2014.1.7+ds-2) unstable; urgency=medium

  * [f04fd3a] Load intersphinx data from filesystem. Closes: 755026

 -- Joe Healy <joehealy@gmail.com>  Tue, 22 Jul 2014 10:49:40 +1000

salt (2014.1.7+ds-1) unstable; urgency=medium

  * [00e814e] Imported Upstream version 2014.1.7+ds

 -- Joe Healy <joehealy@gmail.com>  Thu, 10 Jul 2014 09:41:31 +1000

salt (2014.1.6+ds-1) unstable; urgency=medium

  * [a0fe230] Moved python-git recommendation to salt-master
  * [25d5ac9] Imported Upstream version 2014.1.6+ds
  * [3ad8e3a] Removed and updated patches for 2014.1.6

 -- Joe Healy <joehealy@gmail.com>  Wed, 09 Jul 2014 09:48:28 +1000

salt (2014.1.5+ds-5) unstable; urgency=medium

  * [14ee714] Added stub for ext_nodes to re-enable comms with older minions

 -- Joe Healy <joehealy@gmail.com>  Sun, 22 Jun 2014 20:45:41 +1000

salt (2014.1.5+ds-4) unstable; urgency=medium

  * [39e8303] Patch to remove spurious iptables --help output

 -- Joe Healy <joehealy@gmail.com>  Sun, 22 Jun 2014 10:09:18 +1000

salt (2014.1.5+ds-3) unstable; urgency=medium

  * [12bbc7b] Fix for grain detection on xen and openvz (Upstream issue 11877)

 -- Joe Healy <joehealy@gmail.com>  Thu, 19 Jun 2014 04:21:24 +1000

salt (2014.1.5+ds-2) unstable; urgency=medium

  * [55dac69] Added version requirement for salt-cloud
  * [7a00f9e] Clean up of build depends

 -- Joe Healy <joehealy@gmail.com>  Wed, 18 Jun 2014 06:48:40 +1000

salt (2014.1.5+ds-1) unstable; urgency=medium

  * [17cddb2] Imported Upstream version 2014.1.5+ds
  * [6fbecdc] Removed patch for 748092 as upstream have fixed issue.
  * [a23be88] Minor doc patch fixed

 -- Joe Healy <joehealy@gmail.com>  Sat, 14 Jun 2014 22:09:22 +1000

salt (2014.1.4+ds-2) unstable; urgency=medium

  * [8716b5d] Fix to salt-ssh to not require python-zmq. Closes: 748092

 -- Joe Healy <joehealy@gmail.com>  Thu, 15 May 2014 16:28:11 +1000

salt (2014.1.4+ds-1) unstable; urgency=medium

  * [a9b0074] Imported Upstream version 2014.1.4+ds
  * [fd38419] Removed patch for removing externalip grain

 -- Joe Healy <joehealy@gmail.com>  Tue, 06 May 2014 21:03:13 +1000

salt (2014.1.3+ds-2) unstable; urgency=medium

  * [897f3b6] Removed external_ip grain due to privacy issues

 -- Joe Healy <joehealy@gmail.com>  Thu, 24 Apr 2014 16:50:27 +1000

salt (2014.1.3+ds-1) unstable; urgency=medium

  * [07ff82c] Imported Upstream version 2014.1.3+ds
  * [20cbcd6] Kill off all salt-master processes when stopping/restarting

 -- Joe Healy <joehealy@gmail.com>  Fri, 18 Apr 2014 14:30:42 +1000

salt (2014.1.1+ds-1) unstable; urgency=medium

  * [1b25dba] Removed renaming of js file in repack script as upstream fixed
  * [a5ee734] Imported Upstream version 2014.1.1+ds

 -- Joe Healy <joehealy@gmail.com>  Thu, 20 Mar 2014 23:11:07 +1100

salt (2014.1.0+ds-1) unstable; urgency=medium

  * [d5adf7f] Removed windows binary
  * [7c0cc71] Imported Upstream version 2014.1.0+ds
  * [12c1810] Updated debian/copyright for new files
  * [fee767d] Updated patches for 2014.1
  * [409559a] Added salt-cloud

 -- Joe Healy <joehealy@gmail.com>  Fri, 28 Feb 2014 16:02:44 +1100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,10 @@
            Andriy Senkovych <jolly_roger@itblog.org.ua>
 Build-Depends: debhelper (>= 9.20120410~),
                bash-completion,
-               cython,
-               libzmq3-dev (>> 3.2.3+dfsg-1~),
                python | python-all | python-dev | python-all-dev,
-               python-crypto,
-               python-jinja2,
-               python-m2crypto,
-               msgpack-python,
                python-setuptools,
                python-sphinx (>= 1.0),
-               python-yaml,
-               python-zmq (>= 13.1.0~),
-               yui-compressor
+               dh-systemd (>= 1.4)
 Standards-Version: 3.9.5
 Homepage: http://saltstack.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-salt/salt.git
@@ -34,10 +26,8 @@
          python-yaml,
          python-pkg-resources
 Recommends: lsb-release,
-            python-mako,
-            python-git
+            python-mako
 Suggests: salt-doc (= ${source:Version})
-Conflicts: salt-minion (<< 0.16.4-3)
 Breaks: python-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
@@ -66,8 +56,9 @@
          salt-common (= ${source:Version}),
          python-m2crypto,
          python-crypto,
-         msgpack-python,
+         python-msgpack,
          python-zmq (>= 13.1.0)
+Recommends: python-git
 Description: remote manager to administer servers via salt
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -94,7 +85,7 @@
          salt-common (= ${source:Version}),
          python-m2crypto,
          python-crypto,
-         msgpack-python,
+         python-msgpack,
          python-zmq (>= 13.1.0),
          dctrl-tools
 Recommends: dmidecode,
@@ -149,7 +140,7 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          salt-common (= ${source:Version}),
-         msgpack-python,
+         python-msgpack,
          sshpass
 Description: remote manager to administer servers via salt
  salt is a powerful remote execution manager that can be used to
@@ -178,6 +169,8 @@
 Section: doc
 Depends: ${misc:Depends},
 	 libjs-sphinxdoc,
+	 libjs-modernizr,
+	 libjs-twitter-bootstrap,
 	 libjs-jquery
 Description: additional documentation for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
@@ -198,3 +191,17 @@
  .
  This particular package provides the HTML documentation for
  salt.
+
+Package: salt-cloud
+Architecture: all
+Depends: ${python:Depends},
+         ${misc:Depends},
+         salt-common (= ${source:Version}),
+         python-libcloud (>= 0.14.1-1),
+         sshpass
+Suggests: python-botocore
+Recommends: python-netaddr
+Description: public cloud VM management system
+ provision virtual machines on various public clouds via a cleanly
+ controlled profile and mapping system.
+
